| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
CheckSec Namespace Reference

CheckSec. More...

## Functions
bool | checkCollectionDatabase (const std::string &db_path) noexcept
| Checks the structure's integrity of the Collection database.
bool | checkHashesDatabase (const std::string &db_path) noexcept
| Checks the structure's integrity of the Hashes database.
bool | checkDatabaseFile (const std::string &db_path, const QString &db_name) noexcept
| Basic checks on a database file.

## Detailed Description

CheckSec.

Utilities used to check the databases

## Function Documentation

## ◆ checkCollectionDatabase()

bool CheckSec::checkCollectionDatabase | ( | const std::string & | db_path | ) |
| noexcept

Checks the structure's integrity of the Collection database.

Parameters

  db_path | The path of the database, file included

Returns
  The result of the check

See also
  checkDatabaseTablesNames(), newCollectionDatabase(), newHashesDatabase()

## ◆ checkDatabaseFile()

bool CheckSec::checkDatabaseFile | ( | const std::string & | db_path,
|  | const QString & | db_name )
| noexcept

Basic checks on a database file.

Parameters

  db_path | Path of the database file
  db_name | Database's name, used by the dialogs if necessary

Returns
  The result of the check

See also
  IOutils::exists(), IOutils::isFile(), IOutils::checkFile()

## ◆ checkHashesDatabase()

bool CheckSec::checkHashesDatabase | ( | const std::string & | db_path | ) |
| noexcept

Checks the structure's integrity of the Hashes database.

Parameters

  db_path | The path of the database, file included

Returns
  The result of the check

See also
  checkDatabaseTablesNames(), newCollectionDatabase(), newHashesDatabase()